# TdApi.EditMessageMedia (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: EditMessageMedia

Package it.tdlight.jni

# Class TdApi.EditMessageMedia

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.EditMessageMedia

Enclosing class:
  TdApi

    public static class TdApi.EditMessageMedia
    extends TdApi.Function

Edits the content of a message with an animation, an audio, a document, a photo or a video, including message caption. If only the caption needs to be edited, use editMessageCaption instead. The media can't be edited if the message was set to self-destruct or to a self-destructing media. The type of message content in an album can't be changed with exception of replacing a photo with a video or vice versa. Returns the edited message after the edit is completed on the server side.

Returns `Message`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | The chat the message belongs to.
`static int` | `CONSTRUCTOR` |
`TdApi.InputMessageContent` | `inputMessageContent` | New content of the message.
`long` | `messageId` | Identifier of the message.
`TdApi.ReplyMarkup` | `replyMarkup` | The new message reply markup; pass null if none; for bots only.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`EditMessageMedia()` | Edits the content of a message with an animation, an audio, a document, a photo or a video, including message caption.
`EditMessageMedia​(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` | Edits the content of a message with an animation, an audio, a document, a photo or a video, including message caption.
`EditMessageMedia​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
The chat the message belongs to.

### messageId

public long messageId
Identifier of the message.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The new message reply markup; pass null if none; for bots only.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
New content of the message. Must be one of the following types: inputMessageAnimation, inputMessageAudio, inputMessageDocument, inputMessagePhoto or inputMessageVideo.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### EditMessageMedia

public EditMessageMedia()
Edits the content of a message with an animation, an audio, a document, a photo or a video, including message caption. If only the caption needs to be edited, use editMessageCaption instead. The media can't be edited if the message was set to self-destruct or to a self-destructing media. The type of message content in an album can't be changed with exception of replacing a photo with a video or vice versa. Returns the edited message after the edit is completed on the server side.

Returns `Message`

### EditMessageMedia

public EditMessageMedia​(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
Edits the content of a message with an animation, an audio, a document, a photo or a video, including message caption. If only the caption needs to be edited, use editMessageCaption instead. The media can't be edited if the message was set to self-destruct or to a self-destructing media. The type of message content in an album can't be changed with exception of replacing a photo with a video or vice versa. Returns the edited message after the edit is completed on the server side.

Returns `Message`

Parameters:
  `chatId` - long The chat the message belongs to.
  `messageId` - long Identifier of the message.
  `replyMarkup` - ReplyMarkup The new message reply markup; pass null if none; for bots only.
  `inputMessageContent` - InputMessageContent New content of the message. Must be one of the following types: inputMessageAnimation, inputMessageAudio, inputMessageDocument, inputMessagePhoto or inputMessageVideo.

### EditMessageMedia

public EditMessageMedia​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`